# $Revision: 1.31 $, $Date: 2011/06/28 18:53:49 $
Summary:	Base lisp files for providing email support
Summary(pl.UTF-8):	Podstawowe pliki makr ze wsparciem do obsługi poczty
Name:		xemacs-mail-lib-pkg
%define 	srcname	mail-lib
Version:	1.80
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	http://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	140150e7db98d9ce602693f486badea8
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-eterm-pkg
Requires:	xemacs-base-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fundamental lisp files for providing email support.

%description -l pl.UTF-8
Podstawowe pliki makr ze wsparciem do obsługi poczty.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/mail-lib/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-mail-lib-pkg.spec,v $
Revision 1.31  2011/06/28 18:53:49  marti
- up to 1.80

Revision 1.30  2007/04/06 22:45:16  qboosh
- changed Source0 to http as ftp no longer works

Revision 1.29  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.28  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.27  2006/10/09 06:40:51  piti
- up to 1.76

Revision 1.26  2003/11/26 15:05:28  speedy
updated to  1.63

Revision 1.25  2003/09/09 10:25:00  ankry
- spaces -> tab

Revision 1.24  2003/05/28 13:03:05  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:28:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2002/11/21 16:37:04  mis
- autoupdated to 1.54

Revision 1.21  2002/08/11 18:14:06  kloczek
- updated to 1.48.

Revision 1.20  2002/07/17 17:45:58  kloczek
- updated to 1.46 and use new %doc.

Revision 1.19  2002/04/18 14:12:47  wiget
updated to 1.44

Revision 1.18  2002/04/14 12:26:58  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.17  2002/02/23 05:20:03  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:30:04  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/27 20:53:11  kloczek
- updated to 1.42 (bugfix release).

Revision 1.14  2002/01/18 02:15:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2002/01/07 18:13:31  kloczek
- updated to 1.40 (bugfix release).

Revision 1.12  2001/08/02 08:39:12  mis
- autoupdated to 1.39

Revision 1.11  2001/05/11 18:49:01  mis
- autoupdated to 1.37

Revision 1.10  2001/02/13 18:21:46  mis
- updated to 1.35

Revision 1.9  2000/12/22 02:52:54  kloczek
- spec adapterized,
- fixed Summary and %description.

Revision 1.8  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.7  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.6  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:19  baggins
- translated kloczkish into english

Revision 1.4  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.3  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.2  2000/02/07 22:41:33  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
